use aoc22::{day22, util};

pub fn main() {
    let (grid, instructions) = day22::parse_map_and_path(&util::parse_input());

    // dbg!(&grid);
    // dbg!(&instructions);

    let mut pose = day22::Pose::new(&grid);
    // dbg!(&pose);
    for inst in &instructions {
        pose = day22::exec_instruction(&grid, &pose, inst);
        // dbg!(&pose);
    }

    let pass = 1000 * (pose.pos.0 + 1) + 4 * (pose.pos.1 + 1) + (pose.orientation as usize);
    println!("Passowrd: {}", pass);
}
